### Struct

# Gimp HSL

#### Description [src]

    struct GimpHSL {
      gdouble h;
      gdouble s;
      gdouble l;
      gdouble a;
    }

Used to keep HSL and HSLA colors. All components are in a range of [0.0..1.0].

###### Structure members

`h` | The hue component.
`s` | The saturation component.
`l` | The lightness component.
`a` | The alpha component.

#### Instance methods

###### gimp_hsl_set

No description available.

Available since: 2.8

###### gimp_hsl_set_alpha

No description available.

Available since: 2.10

###### gimp_hsl_to_rgb

Convert a HSL color value to an RGB color value.